## org.firebirdsql.jdbc
Class FBClob

    java.lang.Object
      org.firebirdsql.jdbc.FBClob

All Implemented Interfaces:
  Clob

    public class FBClob

extends Object
implements Clob

The mapping in the JavaTM programming language for the SQL CLOB type. An SQL CLOB is a built-in type that stores a Character Large Object as a column value in a row of a database table. CLOBS are not currently supported by the Jaybird driver. The Clob interface provides methods for getting the length of an SQL CLOB (Character Large Object) value, for materializing a CLOB value on the client, and for searching for a substring or CLOB object within a CLOB value. Methods in the interfaces ResultSet, CallableStatement, and PreparedStatement, such as getClob and setClob allow a programmer to access an SQL CLOB value. In addition, this interface has methods for updating a CLOB value.

Version:
  1.0
Author:
  David Jencks

Constructor Summary
`FBClob()`

Method Summary
`void` `free()`
`InputStream` `getAsciiStream()` Gets the `CLOB` value designated by this `Clob` object as a stream of Ascii bytes.
`Reader` `getCharacterStream()` Gets the `CLOB` value designated by this `Clob` object as a Unicode stream.
`Reader` `getCharacterStream(long pos, long length)`
`String` `getSubString(long pos, int length)` Returns a copy of the specified substring in the `CLOB` value designated by this `Clob` object.
`long` `length()` Returns the number of characters in the `CLOB` value designated by this `Clob` object.
`long` `position(Clob searchstr, long start)` Determines the character position at which the specified `Clob` object `searchstr` appears in this `Clob` object.
`long` `position(String searchstr, long start)` Determines the character position at which the specified substring `searchstr` appears in the SQL `CLOB` value represented by this `Clob` object.
`OutputStream` `setAsciiStream(long param1)` This operation is not supported
`Writer` `setCharacterStream(long param1)` This operation is not supported
`int` `setString(long param1, String param2)` This operation is not supported Writes the given Java String to the CLOB value that this `Clob` object designates at the position `pos`.
`int` `setString(long param1, String param2, int param3, int param4)` This operation is not supported
`void` `truncate(long param1)` This operation is not currently supported Truncate this `Clob` to a given length.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FBClob

    public FBClob()

Method Detail

### length

    public long length()
                throws SQLException

  Returns the number of characters in the `CLOB` value designated by this `Clob` object.

  Specified by:
    `length` in interface `Clob`
  Returns:
    length of the `CLOB` in characters
  Throws:
    `SQLException` - if there is an error accessing the length of the `CLOB`
  Since:
    1.2
  See Also:
    What Is in the JDBC 2.0 API

### truncate

    public void truncate(long param1)
                  throws SQLException

  This operation is not currently supported Truncate this `Clob` to a given length.

  Specified by:
    `truncate` in interface `Clob`
  Parameters:
    `param1` - The length to truncate this Clob to
  Throws:
    `SQLException` - this operation is not supported

### getSubString

    public String getSubString(long pos,
                               int length)
                        throws SQLException

  Returns a copy of the specified substring in the `CLOB` value designated by this `Clob` object. The substring begins at position `pos` and has up to `length` consecutive characters.

  Specified by:
    `getSubString` in interface `Clob`
  Parameters:
    `pos` - the first character of the substring to be extracted. The first character is at position 1.
    `length` - the number of consecutive characters to be copied
  Returns:
    a `String` that is the specified substring in the `CLOB` value designated by this `Clob` object
  Throws:
    `SQLException` - if there is an error accessing the `CLOB`
  Since:
    1.2
  See Also:
    What Is in the JDBC 2.0 API

### getCharacterStream

    public Reader getCharacterStream()
                              throws SQLException

  Gets the `CLOB` value designated by this `Clob` object as a Unicode stream.

  Specified by:
    `getCharacterStream` in interface `Clob`
  Returns:
    a Unicode stream containing the `CLOB` data
  Throws:
    `SQLException` - if there is an error accessing the `CLOB` value
  Since:
    1.2
  See Also:
    What Is in the JDBC 2.0 API

### getAsciiStream

    public InputStream getAsciiStream()
                               throws SQLException

  Gets the `CLOB` value designated by this `Clob` object as a stream of Ascii bytes.

  Specified by:
    `getAsciiStream` in interface `Clob`
  Returns:
    an ascii stream containing the `CLOB` data
  Throws:
    `SQLException` - if there is an error accessing the `CLOB` value
  Since:
    1.2
  See Also:
    What Is in the JDBC 2.0 API

### position

    public long position(String searchstr,
                         long start)
                  throws SQLException

  Determines the character position at which the specified substring `searchstr` appears in the SQL `CLOB` value represented by this `Clob` object. The search begins at position `start`.

  Specified by:
    `position` in interface `Clob`
  Parameters:
    `searchstr` - the substring for which to search
    `start` - the position at which to begin searching; the first position is 1
  Returns:
    the position at which the substring appears, else -1; the first position is 1
  Throws:
    `SQLException` - if there is an error accessing the `CLOB` value
  Since:
    1.2
  See Also:
    What Is in the JDBC 2.0 API

### position

    public long position(Clob searchstr,
                         long start)
                  throws SQLException

  Determines the character position at which the specified `Clob` object `searchstr` appears in this `Clob` object. The search begins at position `start`.

  Specified by:
    `position` in interface `Clob`
  Parameters:
    `searchstr` - the `Clob` object for which to search
    `start` - the position at which to begin searching; the first position is 1
  Returns:
    the position at which the `Clob` object appears, else -1; the first position is 1
  Throws:
    `SQLException` - if there is an error accessing the `CLOB` value
  Since:
    1.2
  See Also:
    What Is in the JDBC 2.0 API

### setString

    public int setString(long param1,
                         String param2)
                  throws SQLException

  This operation is not supported Writes the given Java String to the CLOB value that this `Clob` object designates at the position `pos`.

  Specified by:
    `setString` in interface `Clob`
  Parameters:
    `param1` - position at which to start writing
    `param2` - The `String` value to write
  Returns:
    The number of characters written
  Throws:
    `SQLException` - because this operation is not supported

### setString

    public int setString(long param1,
                         String param2,
                         int param3,
                         int param4)
                  throws SQLException

  This operation is not supported

  Specified by:
    `setString` in interface `Clob`
  Parameters:
    `param1` - <description>
    `param2` - <description>
    `param3` - <description>
    `param4` - <description>
  Returns:
    <description>
  Throws:
    `SQLException` - <description>

### setAsciiStream

    public OutputStream setAsciiStream(long param1)
                                throws SQLException

  This operation is not supported

  Specified by:
    `setAsciiStream` in interface `Clob`
  Parameters:
    `param1` - <description>
  Returns:
    <description>
  Throws:
    `SQLException` - <description>

### setCharacterStream

    public Writer setCharacterStream(long param1)
                              throws SQLException

  This operation is not supported

  Specified by:
    `setCharacterStream` in interface `Clob`
  Parameters:
    `param1` - <description>
  Returns:
    <description>
  Throws:
    `SQLException` - <description>

### free

    public void free()
              throws SQLException

  Specified by:
    `free` in interface `Clob`
  Throws:
    `SQLException`

### getCharacterStream

    public Reader getCharacterStream(long pos,
                                     long length)
                              throws SQLException

  Specified by:
    `getCharacterStream` in interface `Clob`
  Throws:
    `SQLException`

Copyright © 2001-2010. All Rights Reserved.